Subject: Re: [PATCH 00/15] bloom: changed-path Bloom filters v2

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Aug 2023 16:16:17 -0700

Jonathan Tan <[email-masked]> writes:

> So I think that we can merge this patch set. An alternative would be
> to wait for me (or someone else) to write such a test, but if it's just
> me that's worried about this situation, it's probably not worth waiting
> just for this.
>
> The other outstanding thing is that Szeder Gabor pointed out that Bloom
> filters are not applied to root commits so some of the tests don't
> test what you would expect [2]. I've updated the tests and pushed the
> results to GitHub [3]. I'm OK with using that version, or the current
> version (in which case I'll resend the updated tests once this version
> is merged).
>
> [2] https://lore.kernel.org/git/[email-masked]/
> [3] https://github.com/jonathantanmy/git/tree/changedpath

Thanks for a concise and well thought out summary.

If we know that some tests in the current round is not doing the
right thing, and we already have an updated set of tests to fix
them, I doubt that the topic is so urgent that merging a known to be
incomplete version is preferrable than seeing the hopefully final
version on the list that everybody can agree with.

Thanks.